Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.teleal.cling.support.igd
Enum Connection.Type

    java.lang.Object
      java.lang.Enum<Connection.Type>
          org.teleal.cling.support.igd.Connection.Type

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Connection.Type>

Enclosing class:
  Connection

    public static enum Connection.Type

extends java.lang.Enum<Connection.Type>

Enum Constant Summary
`IP_Bridged` The Internet Gateway is an Ethernet bridge between the LAN and the WAN connection.
`IP_Routed` The Internet Gateway is an IP router between the LAN and the WAN connection.
`Unconfigured` Valid connection types cannot be identified.

Method Summary
`static Connection.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Connection.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Unconfigured

    public static final Connection.Type Unconfigured

  Valid connection types cannot be identified.

### IP_Routed

    public static final Connection.Type IP_Routed

  The Internet Gateway is an IP router between the LAN and the WAN connection.

### IP_Bridged

    public static final Connection.Type IP_Bridged

  The Internet Gateway is an Ethernet bridge between the LAN and the WAN connection.

Method Detail

### values

    public static Connection.Type[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Connection.Type c : Connection.Type.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Connection.Type valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.